package com.dst.slms.supplierprofile.entity;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.hibernate.annotations.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.OneToMany;
import javax.persistence.OneToOne;
import javax.persistence.Table;

import org.hibernate.annotations.DynamicUpdate;
import org.hibernate.annotations.ForeignKey;
import org.hibernate.annotations.NotFound;
import org.hibernate.annotations.NotFoundAction;
import com.dst.slms.common.entity.CoreBaseEntryInfo;
import org.hibernate.annotations.DynamicUpdate;
import com.dst.slms.common.annotation.EntityMeta;
import com.dst.slms.common.annotation.FieldMeta;
import javax.persistence.MappedSuperclass;
/**   
 * @Title: 资质文件 Info 对象
 * @Description: 资质文件
 * @author 
 * @date 2020-05-03 11:03:28
 * @version V1.0   
 */
@MappedSuperclass
public class AbstractAptitudesFileInfo  extends CoreBaseEntryInfo implements java.io.Serializable {
	
	/**父对象关联*/
	@OneToOne(fetch = FetchType.LAZY)@JoinColumn(name = "FparentId")@NotFound(action=NotFoundAction.IGNORE)@ForeignKey(name="null")
	@FieldMeta(name="父对象关联" )
	private com.dst.slms.supplierprofile.entity.SupplierProfileInfo parent;
	
	/**文件标号*/
	@Column(name ="FaptNumber")
	@FieldMeta(name="文件标号" )
	private java.lang.String aptNumber;
	
	/**文件名称*/
	@Column(name ="FaptName")
	@FieldMeta(name="文件名称" )
	private java.lang.String aptName;
	
	/**资质等级*/
	@Column(name ="FaptLevel")
	@FieldMeta(name="资质等级" )
	private java.lang.String aptLevel;
	
	/**到期时间*/
	@Column(name ="FendDate")
	@FieldMeta(name="到期时间" )
	private java.util.Date endDate;
	
	/**颁发单位*/
	@Column(name ="FawardUnit")
	@FieldMeta(name="颁发单位" )
	private java.lang.String awardUnit;
	
	/**备注*/
	@Column(name ="Fremark")
	@FieldMeta(name="备注" )
	private java.lang.String remark;
	
	
	/**
	 *方法: 取得com.dst.slms.supplierprofile.entity.SupplierProfileInfo
	 *@return: com.dst.slms.supplierprofile.entity.SupplierProfileInfo  父对象关联
	 */
	public com.dst.slms.supplierprofile.entity.SupplierProfileInfo getParent(){
		return this.parent;
	}

	/**
	 *方法: 设置com.dst.slms.supplierprofile.entity.SupplierProfileInfo
	 *@param: com.dst.slms.supplierprofile.entity.SupplierProfileInfo  父对象关联
	 */
	public void setParent(com.dst.slms.supplierprofile.entity.SupplierProfileInfo parent){
		this.parent = parent;
	}
	
	/**
	 *方法: 取得java.lang.String
	 *@return: java.lang.String  文件标号
	 */
	public java.lang.String getAptNumber(){
		return this.aptNumber;
	}

	/**
	 *方法: 设置java.lang.String
	 *@param: java.lang.String  文件标号
	 */
	public void setAptNumber(java.lang.String aptNumber){
		this.aptNumber = aptNumber;
	}
	
	/**
	 *方法: 取得java.lang.String
	 *@return: java.lang.String  文件名称
	 */
	public java.lang.String getAptName(){
		return this.aptName;
	}

	/**
	 *方法: 设置java.lang.String
	 *@param: java.lang.String  文件名称
	 */
	public void setAptName(java.lang.String aptName){
		this.aptName = aptName;
	}
	
	/**
	 *方法: 取得java.lang.String
	 *@return: java.lang.String  资质等级
	 */
	public java.lang.String getAptLevel(){
		return this.aptLevel;
	}

	/**
	 *方法: 设置java.lang.String
	 *@param: java.lang.String  资质等级
	 */
	public void setAptLevel(java.lang.String aptLevel){
		this.aptLevel = aptLevel;
	}
	
	/**
	 *方法: 取得java.util.Date
	 *@return: java.util.Date  到期时间
	 */
	public java.util.Date getEndDate(){
		return this.endDate;
	}

	/**
	 *方法: 设置java.util.Date
	 *@param: java.util.Date  到期时间
	 */
	public void setEndDate(java.util.Date endDate){
		this.endDate = endDate;
	}
	
	/**
	 *方法: 取得java.lang.String
	 *@return: java.lang.String  颁发单位
	 */
	public java.lang.String getAwardUnit(){
		return this.awardUnit;
	}

	/**
	 *方法: 设置java.lang.String
	 *@param: java.lang.String  颁发单位
	 */
	public void setAwardUnit(java.lang.String awardUnit){
		this.awardUnit = awardUnit;
	}
	
	/**
	 *方法: 取得java.lang.String
	 *@return: java.lang.String  备注
	 */
	public java.lang.String getRemark(){
		return this.remark;
	}

	/**
	 *方法: 设置java.lang.String
	 *@param: java.lang.String  备注
	 */
	public void setRemark(java.lang.String remark){
		this.remark = remark;
	}
		
	@Override
	public void setBosType(String bosType) {
		this.bosType = "S6UC8N9O";
	}
}
